# The Build Announcements Plugin

⚠ | This plugin is deprecated and will be removed in the next major Gradle release. New builds should not use this plugin.

The build announcements plugin uses the announce plugin to send local announcements on important events in the build.

## Usage

To use the build announcements plugin, include the following in your build script:

Example 1. Using the build announcements plugin
build.gradle

    plugins {
        id 'build-announcements'
    }

build.gradle.kts

    plugins {
        `build-announcements`
    }

That’s it. If you want to tweak where the announcements go, you can configure the announce plugin to change the local announcer.

You can also apply the plugin from an init script:

Example 2. Using the build announcements plugin from an init script
init.gradle

    rootProject {
        apply plugin: 'build-announcements'
    }

init.gradle.kts

    rootProject {
        apply(plugin = "build-announcements")
    }